Struts2.1.18+Spring3.0.2所需jar包

Struts2.1.18+Spring3.0.2所需jar包 同时被 2 个专栏收录
1 篇文章 0 订阅
2 篇文章 0 订阅
环境:struts-2.1.8.1        spring-framework-3.0.2

struts2 所需的jar包:
commons-fileupload-1.2.1.jar
commons-logging-1.0.4.jar
freemarker-2.3.15.jar
ognl-2.7.3.jar
struts2-core-2.1.8.1.jar
xwork-core-2.1.6.jar
struts2-spring-plugin-2.1.8.1.jar  //整合spring所需jar包

spring3 所需的jar包
org.springframework.asm-3.0.2.RELEASE.jar
org.springframework.beans-3.0.2.RELEASE.jar
org.springframework.context-3.0.2.RELEASE.jar
org.springframework.core-3.0.2.RELEASE.jar
org.springframework.expr
ession-3.0.2.RELEASE.jar
org.springframework.web-3.0.2.RELEASE.jar

// 如果使用spring3的JdbcTemplate做jdbc的封装操作及spring3的事务,需要以下2个包:
org.springframework.jdbc-3.0.2.RELEASE.jar
org.springframework.transaction-3.0.2.RELEASE.jar

// 如果使用spring3的mail服务,则需要添加:
org.springframework.context.support-3.0.2.RELEASE.jar
还 需下载java的mail.jar

org.apache.commons.dbcp.BasicDataSource数据源所需jar包
commons-dbcp-1.4.jar
commons-pool-1.5.4.jar

mysql所需jar包
mysql-connector-java-5.1.12-bin.jar
  • 1
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值